/*--- Reset ---*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Open-sans", sans-serif;
}

/*--- Variables ---*/
:root {
  --primary: #c21439;
  --primary-color: #000000;
  --secondary-color: #d1342c;
  --white-color: #ffffff;
  --white-snow-color: #f9f9f9;
  --gray-color: #797979;
  --orange-color: #ec504c;
  --gray-color: #797979;
  --green-color: #0a8c0a;
  --font-medium: 14px;
  --font-large: 16px;
  --font-xlarge: 18px;
  --font-xxlarge: 20px;
  --font-xxxlarge: 32px;
  --font-xxxxlarge: 40px;
  --font-xxxxxlarge: 48px;
}

/*--- Body ---*/
html {
  height: 100%;
}

body {
  background-color: var(--white-color);
  width: 100%;
  height: 100%;
  min-height: 100vh;
  overflow: auto;
}

/*--- Common ---*/
.section-container {
  width: 100%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 32px 16px;
}

.section-title {
  font-size: var(--font-xxxlarge);
  line-height: 48px;
}

.section-subtitle {
  margin-top: 8px;
  margin-bottom: 16px;
  width: fit-content;
  font-size: var(--font-xxlarge);
  background-color: var(--primary);
  padding: 8px 12px;
  border-radius: 6px;
  transform: skewX(-16deg);
  color: var(--white-color);
  background-color: var(--primary);
}

.show {
  display: block !important;
}

.button-contained {
  padding: 10px 20px;
  background-color: var(--primary);
  color: var(--white-color);
  border: none;
  font-size: var(--font-xxlarge);
  font-weight: 500;
  cursor: pointer;
  transition: transform 0.3s ease-in-out;
  border-radius: 6px;
}

.button-contained:hover {
  background-color: var(--secondary-color);
}

.highlight {
  color: var(--primary);
  font-weight: 600;
}

@media screen and (min-width: 768px) {
  .section-container {
    padding: 56px 24px;
  }
}

/*--- Navbar ---*/
nav {
  position: fixed;
  left: 0px;
  right: 0px;
  width: 100%;
  z-index: 1000;
  transition: background-color 0.4s ease-in-out;
}

.nav-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 4px 16px;
  position: relative;
}

nav.scrolled {
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0px 4px 20px 6px rgba(0, 0, 0, 0.25);
}

.logo {
  height: 72px;
}

nav.scrolled .logo {
  height: 48px;
}

.nav-links {
  display: none;
  position: absolute;
  top: 60px;
  right: 16px;
  background-color: var(--white-color);
  border-radius: 8px;
  box-shadow: 0px 4px 20px 6px rgba(0, 0, 0, 0.25);
}

.nav-links a {
  text-decoration: none;
  color: var(--primary-color);
  font-size: var(--font-xxlarge);
  font-weight: 500;
  transition: color 0.3s ease-in-out;
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 8px 16px;
  transition: background-color 0.2s ease-in-out;
  border-radius: 8px;
}

nav.scrolled .nav-links a {
  color: var(--primary-color);
}

.nav-links svg {
  width: 20px;
  height: 20px;
}

.nav-links a:hover {
  background-color: rgba(255, 255, 255, 0.25);
}

.contact-button {
  height: fit-content;
  font-size: var(--font-large);
  color: var(--white-color);
  background-color: transparent;
  border: 1px solid var(--primary);
  background-color: var(--primary);
  border-radius: 8px;
  padding: 8px 12px;
  cursor: pointer;
}

@media screen and (min-width: 768px) {
  .nav-content {
    padding-inline: 24px;
  }
  .nav-links {
    display: block;
    background-color: transparent;
    position: relative;
    top: 0px;
    right: 0px;
    display: flex;
    align-items: center;
    gap: 20px;
    box-shadow: none;
  }
  .nav-links a {
    color: var(--white-color);
  }
  .contact-button {
    display: none;
  }
}

/*--- Header ---*/
.section-header {
  position: relative;
  background-image: url(./assets/face-club.jpg);
  background-size: cover;
  background-position: bottom center;
  background-repeat: no-repeat;
  width: 100%;
  height: 100vh;
  z-index: 2;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.65);
  z-index: 1;
}

.section-header-text {
  z-index: 3;
  position: absolute;
  top: 0px;
  bottom: 0px;
  height: fit-content;
  margin: auto 16px;
  text-align: center;
  color: var(--white-color);
  padding: 16px;
  background-color: rgba(194, 20, 57, 0.5);
}

.section-header-text h1 {
  font-size: var(--font-xxxlarge);
  margin-bottom: 16px;
  font-weight: 500;
  letter-spacing: 1px;
}

.section-header-text p {
  font-size: var(--font-xlarge);
  font-weight: 300;
  letter-spacing: 1px;
}

.header-rectangle {
  display: none;
}

@media screen and (min-width: 1024px) {
  .section-header-text {
    text-align: left;
    background-color: transparent;
    margin-left: 48px;
  }
  .section-header-text h1 {
    font-size: var(--font-xxxxxlarge);
    font-weight: 600;
    letter-spacing: 2px;
  }
  .section-header-text p {
    width: 642px;
    font-size: 28px;
    line-height: 30px;
  }
  .header-rectangle {
    display: block;
    height: 300px;
    width: 260px;
    background-color: rgba(194, 20, 57, 0.55);

    position: absolute;
    top: 0px;
    bottom: 0px;
    margin: auto;
    z-index: 3;
  }
}

/*--- About Us ---*/
.about-us-content {
  margin-top: 16px;
  margin-left: 16px;
}

.about-us-content li {
  margin-top: 8px;
  font-size: var(--font-large);
  letter-spacing: 0.4px;
  line-height: 24px;
}

.about-us-factory-image {
  height: 340px;
  background-image: url(./assets/AboutUs/fabrica-vedere-aeriana.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  margin-bottom: 24px;
  margin-top: 24px;
}

.about-us-inline-images {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-top: 16px;
}

.image-left {
  width: 100%;
  height: 300px;
  background-image: url(./assets/fabrica\ lung.jpeg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.image-right {
  width: 100%;
  height: 300px;
  background-image: url(./assets/GlulamToday/poza\ hala\ camion-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

@media screen and (min-width: 768px) {
  .about-us-inline-images {
    margin-top: 24px;
    flex-direction: row;
    gap: 24px;
  }
}

/* --- Statistics ---*/
.statistics-container {
  padding-top: 48px;
}

.key-figures-list {
  list-style: none;
  margin: 0;
  padding: 0;
  display: grid;
  gap: 16px;
  grid-template-columns: repeat(2, 1fr);
}

.key-figures-list li {
  width: 100%;
  padding: 12px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.key-figures-list li i {
  color: var(--primary);
  font-size: 18px;
  margin-bottom: 10px;
  transition: all 0.3s ease-in-out;
}

.key-figures-list li:hover i {
  transform: scale(1.2);
}

.key-figure-amount {
  font-size: var(--font-xxlarge);
  font-weight: 600;
  color: var(--primary);
}

@media screen and (min-width: 640px) {
  .key-figures-list {
    grid-template-columns: repeat(5, 1fr);
  }
}

@media screen and (min-width: 768px) {
  .key-figures-list {
    grid-template-columns: repeat(5, 1fr);
  }
}

/*--- Why Choose Us ---*/

.why-us-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 16px;
  margin-top: 8px;
  background-color: var(--white-color);
  border-radius: 10px;
}

.why-us-content > div {
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
}

.why-us-content .product-image {
  width: 100%;
  height: 280px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  border-radius: 10px;
}

.products-image1 {
  background-image: url(./assets/Products/grinzi\ drepte\ si\ curbe-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.products-image2 {
  background-image: url(./assets/Products/CLT\ crop-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.products-image3 {
  background-image: url(./assets/Products/conexiuini-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.products-image4 {
  background-image: url(./assets/Products/sip\ panouri\ glupan-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.why-us-content p {
  padding: 16px;
  font-weight: 600;
  font-size: 16px;
  letter-spacing: 0.5px;
}

.hr {
  width: 40px;
  height: 5px;
  margin: 10px 0 10px 0;
  background-color: var(--primary);
}

.products-inline-images {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-top: 16px;
}

.products-image-left {
  width: 100%;
  height: 300px;
  background-image: url(./assets/Products/poza\ fabrica\ presa-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.products-image-right {
  width: 100%;
  height: 300px;
  background-image: url(./assets/Products/clt\ produs\ fabrica-min.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/*--- Our Works ---*/

.our-works-subtitle {
  margin-top: 8px;
  font-size: var(--font-large);
  letter-spacing: 0.4px;
  line-height: 24px;
}

.photo-album {
  margin-top: 8px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  grid-auto-rows: 150px;
  grid-auto-flow: dense;
  gap: 10px;
}

.photo-album .wideTall {
  grid-column: span 2;
  grid-row: span 2;
}

.photo-album .wide {
  grid-column: span 2;
}

.photo-album .tall {
  grid-row: span 2;
}

.photo-album .big {
  grid-column: span 2;
  grid-row: span 2;
}

.photo-album > a {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.photo-album img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.photo-album img:hover {
  transform: scale(1.1);
}

/*--- Structural ---*/
.properties-list {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.property-img {
  width: calc(100% + 32px);
  margin-left: -16px;
  height: 300px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url(./assets/OurWorks/therme\ galaxy-min.webp);
}
.features {
  list-style-type: none;
  padding: 0;
}

.features h3 {
  font-size: var(--font-xxxlarge);
  font-weight: 600;
  margin-block: 20px;
  margin-left: 10px;
}

.feature-item {
  position: relative;
  padding-left: 40px;
  margin: 10px 10px;
  font-size: var(--font-xxlarge);
}

.checkmark-circle {
  position: absolute;
  left: 0;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background-color: var(--white-color);
  color: var(--primary);
  border: 1px solid var(--primary);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
}

.features-title {
  font-size: var(--font-xxlarge);
  font-weight: 600;
  margin-bottom: 20px;
  margin-left: 10px;
  margin-top: 8px;
}

.red-circle {
  color: var(--primary);
}

/* --- Structurs --- */

.image-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  justify-content: center;
}

.image-item {
  position: relative;
  margin-bottom: 10px;
}

.image-item img {
  width: 335px;
  height: 200px;
  object-fit: cover;
  transition: transform 0.3s ease-in-out;
  cursor: pointer;
}

.image-item img:hover {
  transform: scale(1.1);
}

.image-name {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 50%;
  padding: 20px;
  background-color: var(--white-color);
  color: var(--gray-color);
  text-align: left;
  font-size: var(--font-medium);
  font-weight: 400;
}

/* --- Sustainability --- */
.sustainably-bg {
  background-image: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.4),
      rgba(0, 0, 0, 0.6)
    ),
    url(./assets/Sustenabilitate/Articol-ppa-nl.jpg);
  background-size: cover;
  background-position: bottom center;
  background-repeat: no-repeat;
  width: 100%;
  max-width: 1352px;
}

.sustainability-content {
  margin-top: 16px;
  margin-left: 16px;
}

.sustainability-content .highlight {
  background-color: var(--white-color);
  color: var(--primary-color);
  padding-inline: 4px;
}

.sustainability-content li {
  margin-top: 8px;
  font-size: var(--font-large);
  color: var(--white-color);
  letter-spacing: 0.4px;
  line-height: 24px;
}

.sustainably-title {
  color: var(--white-color);
}

/* --- Footer --- */

footer {
  padding: 20px;
  box-shadow: 0px -2px 4px rgba(0, 0, 0, 0.1);
}

.social-media {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  gap: 10px;
}

.social-media a {
  text-decoration: none;
  color: var(--primary);
  font-size: var(--font-xxlarge);
  transition: color 0.3s ease-in-out;
  cursor: pointer;
}

.social-media a:hover {
  color: var(--primary);
  scale: 1.1;
}
.location {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: var(--font-xlarge);
  margin: 10px 0;
}

.location i {
  margin-right: 8px;
  color: var(--primary);
  font-size: var(--font-xxlarge);
}

.location a {
  color: var(--primary);
  text-decoration: none;
  transition: text-decoration 0.3s ease-in-out;
  text-align: center;
}

.location a:hover {
  text-decoration: underline;
}

.powered-by {
  margin-top: 20px;
  margin-bottom: 20px;
  font-size: var(--font-medium);
  color: var(--gray-color);
  text-align: center;
}

.powered-by span {
  color: var(--primary);
  font-weight: 600;
}

/* --- Media Queries --- */

@media screen and (min-width: 768px) {
  .logo {
    margin-bottom: 0;
  }

  .why-us-content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
  }

  .image-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  /* --- Products --- */

  .products-inline-images {
    margin-top: 24px;
    flex-direction: row;
    gap: 24px;
  }

  .products-image-left {
    width: 50%;
  }

  .products-image-right {
    width: 50%;
  }

  /* --- Glulam Today --- */

  .key-figures-list li {
    padding: 20px;
    max-width: 250px;
  }

  .key-figures-list li i {
    font-size: 40px;
    margin-bottom: 10px;
  }

  .features-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }
}

@media screen and (min-width: 1024px) {
  .section-header {
    padding: 26px;
  }

  .text {
    align-items: flex-end;
  }

  /*--- Quadrosphere ---*/

  .quadrosphere-section {
    padding: 100px 50px;
  }

  .quadrosphere-section h2 {
    font-size: var(--font-xxxxlarge);
    font-weight: 700;
    align-self: flex-start;
  }

  .photo-album {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }

  /*--- Structural ---*/

  .properties-list {
    flex-direction: row-reverse;
    gap: 24px;
  }

  .features-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
  }

  /* --- Structurs --- */

  .image-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }

  .image-container img {
    width: 100%;
    height: 250px;
  }

  .image-name {
    position: absolute;
    bottom: 0;
    left: 50%;
    padding: 20px;
    background-color: var(--white-color);
    color: gray;
    text-align: left;
    font-size: var(--font-large);
    font-weight: 400;
  }

  .property-img {
    width: 50%;
    height: auto;
  }

  .features {
    width: 50%;
  }

  .features-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
  }
}

/* --- Animations --- */

@keyframes slideInFromTop {
  0% {
    transform: translateY(-100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes slideInFromBottom {
  0% {
    transform: translateY(100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.slide-in-top {
  animation: slideInFromTop 4s forwards;
}

.slide-in-bottom {
  animation: slideInFromBottom 2s forwards;
}
